Bug 1358205 (CVE-2016-3477) - CVE-2016-3477 mysql: unspecified vulnerability in subcomponent: Server: Parser (CPU July 2016)
Summary: CVE-2016-3477 mysql: unspecified vulnerability in subcomponent: Server: Parse...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-3477
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1359623 1359624 1359628 1359629 1359866 1359867 1359868 1359869 1359870 1359871
Blocks: 1358225
TreeView+ depends on / blocked
 
Reported: 2016-07-20 09:47 UTC by Adam Mariš
Modified: 2019-11-14 08:45 UTC (History)
27 users (show)

Fixed In Version: mysql 5.5.50, mysql 5.6.31, mysql 5.7.13, mariadb 5.5.50, mariadb 10.1.15, mariadb 10.0.26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-09 23:02:58 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:1480 normal SHIPPED_LIVE Important: mysql55-mysql security update 2016-07-25 12:25:32 UTC
Red Hat Product Errata RHSA-2016:1601 normal SHIPPED_LIVE Important: rh-mysql56-mysql security update 2016-08-11 17:29:06 UTC
Red Hat Product Errata RHSA-2016:1602 normal SHIPPED_LIVE Important: mariadb security update 2016-08-11 17:58:37 UTC
Red Hat Product Errata RHSA-2016:1603 normal SHIPPED_LIVE Important: mariadb55-mariadb security update 2016-08-11 17:59:02 UTC
Red Hat Product Errata RHSA-2016:1604 normal SHIPPED_LIVE Important: rh-mariadb100-mariadb security update 2016-08-11 17:58:49 UTC
Red Hat Product Errata RHSA-2016:1637 normal SHIPPED_LIVE Important: rh-mariadb101-mariadb security update 2016-08-19 00:25:42 UTC

Description Adam Mariš 2016-07-20 09:47:07 UTC
Vulnerability in the MySQL Server component of Oracle MySQL (subcomponent: Server: Parser). Supported versions that are affected are 5.5.49 and earlier, 5.6.30 and earlier and 5.7.12 and earlier. Difficult to exploit vulnerability allows unauthenticated attacker with logon to the infrastructure where MySQL Server executes to compromise MySQL Server. While the vulnerability is in MySQL Server, attacks may significantly impact additional products. Successful attacks of this vulnerability can result in takeover of MySQL Server. 

External References:

http://www.oracle.com/technetwork/topics/security/cpujul2016-2881720.html

Comment 1 Tomas Hoger 2016-07-22 09:39:49 UTC
Oracle CVSSv3 scores this issue as AV:L.  Based on this document, which explains Oracle's interpretation of CVSSv3 standard, they also use AV:L for issues that can only be exploited by attacker with full SQL access.

http://www.oracle.com/technetwork/topics/security/cvssscoringsystem-091884.html

Using CVSSv2, such issues were scored with AV:N and Au:S.  We do not believe Oracle interpretation of the CVSSv3 standard is correct and we think this issue should correctly be CVSSv3 scored as AV:N and PR:L.

Comment 7 errata-xmlrpc 2016-07-25 08:47:04 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 6.6 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 6.7 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.2 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.1 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7

Via RHSA-2016:1480 https://rhn.redhat.com/errata/RHSA-2016-1480.html

Comment 11 errata-xmlrpc 2016-08-11 12:57:45 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6.7 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 6.6 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 7.2 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.1 EUS

Via RHSA-2016:1601 https://rhn.redhat.com/errata/RHSA-2016-1601.html

Comment 12 errata-xmlrpc 2016-08-11 14:02:03 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:1602 https://rhn.redhat.com/errata/RHSA-2016-1602.html

Comment 13 errata-xmlrpc 2016-08-11 14:05:21 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6.7 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 6.6 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 7.2 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.1 EUS

Via RHSA-2016:1604 https://rhn.redhat.com/errata/RHSA-2016-1604.html

Comment 14 errata-xmlrpc 2016-08-11 14:07:09 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 6.6 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 6.7 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.2 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.1 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7

Via RHSA-2016:1603 https://rhn.redhat.com/errata/RHSA-2016-1603.html

Comment 15 errata-xmlrpc 2016-08-18 20:28:01 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 6.6 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 6.7 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.2 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.1 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7

Via RHSA-2016:1637 https://rhn.redhat.com/errata/RHSA-2016-1637.html


Note You need to log in before you can comment on or make changes to this bug.